diff -ruN nagios-plugins-1.4.0alpha1-save/plugins/check_disk.c nagios-plugins-1.4.0alpha1/plugins/check_disk.c
--- nagios-plugins-1.4.0alpha1-save/plugins/check_disk.c	2003-08-28 04:22:01.000000000 +0100
+++ nagios-plugins-1.4.0alpha1/plugins/check_disk.c	2004-03-17 17:30:00.000000000 +0000
@@ -435,10 +435,10 @@
 
 	/* Support for "check_disk warn crit [fs]" with thresholds at used level */
 	c = optind;
-	if (w_dfp < 0 && argc > c && is_intnonneg (argv[c]))
+	if (w_dfp < 0.0 && argc > c && is_intnonneg (argv[c]))
 		w_dfp = (100.0 - atof (argv[c++]));
 
-	if (c_dfp < 0 && argc > c && is_intnonneg (argv[c]))
+	if (c_dfp < 0.0 && argc > c && is_intnonneg (argv[c]))
 		c_dfp = (100.0 - atof (argv[c++]));
 
 	if (argc > c && path == NULL) {
@@ -520,11 +520,11 @@
 {
 	int result = STATE_UNKNOWN;
 	/* check the percent used space against thresholds */
-	if (usp >= 0.0 && c_dfp >=0.0 && usp >= (100.0 - c_dfp))
+	if (usp >= 0.0 && c_dfp >= 0.0 && usp >= (100.0 - c_dfp))
 		result = STATE_CRITICAL;
 	else if (c_df > 0 && free_disk <= c_df)
 		result = STATE_CRITICAL;
-	else if (usp >= 0.0 && w_dfp >=0.0 && usp >= (100.0 - w_dfp))
+	else if (usp >= 0.0 && w_dfp >= 0.0 && usp >= (100.0 - w_dfp))
 		result = STATE_WARNING;
 	else if (w_df > 0 && free_disk <= w_df)
 		result = STATE_WARNING;
@@ -628,8 +628,8 @@
 print_usage (void)
 {
 	printf (_("\
-Usage: %s -w limit -c limit [-p path | -x device] [-t timeout] [-m] [-e]\n\
-        [-v] [-q]\n\
+Usage: %s -w limit -c limit [-p path | -x device] [-t timeout] [-m] [-e]\
+ [-v] [-q]\n\
        %s (-h|--help)\n\
        %s (-V|--version)\n"),
 	        progname,  progname, progname);
